Subject: Re: bug#79050: vc-git incorrectly treats git-crypt encrypted files as binary, even when unlocked

From: Sean Whitton <[email-masked]>
Date: Thu, 24 Jul 2025 13:10:05 +0100

Hello,

On Tue 22 Jul 2025 at 09:47pm -04, James Cherti wrote:

> Just a quick note:
> - with --textconv: I tried committing a git-crypt
>   encrypted file using C-x v v after viewing its diff, and
>   although the operation failed, it didn’t seem to cause any
>   actual harm to the repository (with --textconv activated):
>     vc-do-command: Failed (status 1): git --no-pager apply
>     --cached /tmp/ git-patchncypZR .
>
> - Without --textconv, using C-x v v has no effect, it simply
>   displays "No next file" in the minibuffer and does not stage
>   or commit the changes.

I'm being cautious about this because I don't know the full range of
uses for textconv filters, and because after reading the manpages
regarding --textconv it does make it sound like there are textconv
filters where with --no-textconv you'd get a diff that could be applied
to files even if it is less human-readable.  That might not be true for
git-crypt(1), but that's just one case.

Would you happen to know about any other uses for textconv filters
besides git-crypt(1)?

-- 
Sean Whitton